APIドキュメント

E-Inkの電子書籍変換サービスをアプリケーションに統合

AI Agent で使う — セットアップ不要

以下のプロンプトをコピーして、Cursor、Claude Code、Codex などの AI コーディングツールに貼り付けるだけで自動インストールされます。

E-Ink skill をインストールして:npx e-ink-skill を実行して、環境変数 EINK_API_KEY に私の API キーを設定して。

Cursor、Claude Code、Windsurf、Codex などに対応。

その他のインストール方法

はじめに

E-Ink APIを使用するにはAPIキーが必要です。ダッシュボードで作成し、リクエストのAuthorizationヘッダーに含めてください。

認証

すべてのAPIリクエストにはAuthorizationヘッダーにAPIキーを含める必要があります:

Authorization: Bearer eink_your_api_key_here

Base URL

https://e-ink.me/api/v1

クレジットシステム

API呼び出しはWebインターフェースと同じクレジットを消費します。

APIクレジット消費
ウェブページを電子書籍に変換3(URLあたり)
ファイル形式変換2 / 5(PDF OCR: 5)
電子書籍翻訳3(ファイルあたり)
テキスト読み上げ5(ファイルあたり)
マインドマップ生成2 / 5(AI: 5)

APIエンドポイント

GET/api/v1/credits

クレジット残高確認

現在のクレジット残高を返します。

0 credits
curl
curl https://e-ink.me/api/v1/credits \
  -H "Authorization: Bearer eink_your_api_key"
Response
{
  "credits": 150
}
POST/api/v1/convert/webpage

ウェブページを電子書籍に変換

1つ以上のウェブページをEPUB、PDF、Markdown形式に変換します。

3 credits URLあたり
curl
curl -X POST https://e-ink.me/api/v1/convert/webpage \
  -H "Authorization: Bearer eink_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://e-ink.me", "format": "epub"}' \
  -o article.epub
POST/api/v1/convert

ファイル形式変換

EPUB、PDF、Markdown、HTML、DOCX、TXTなどのファイル形式間で変換します。

2 / 5 credits
curl
curl -X POST https://e-ink.me/api/v1/convert \
  -H "Authorization: Bearer eink_your_api_key" \
  -F "file=@book.epub" \
  -F "converter=epub-to-pdf" \
  -o book.pdf
POST/api/v1/convert/translate

電子書籍翻訳

EPUBファイルを別の言語に翻訳します。

3 credits ファイルあたり
curl
curl -X POST https://e-ink.me/api/v1/convert/translate \
  -H "Authorization: Bearer eink_your_api_key" \
  -F "file=@book.epub" \
  -F "targetLanguage=Chinese" \
  -F "sourceLanguage=auto" \
  -o book-translated.epub
POST/api/v1/convert/tts

テキスト読み上げ

テキストを音声(MP3形式)に変換します。

5 credits ファイルあたり
curl
curl -X POST https://e-ink.me/api/v1/convert/tts \
  -H "Authorization: Bearer eink_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"input": "Hello, this is a test.", "voice": "en-US-JennyNeural"}' \
  -o speech.mp3
POST/api/v1/convert/mindmap

マインドマップ生成

EPUBまたはPDFファイルからマインドマップを生成します。

2 / 5 credits
curl
curl -X POST https://e-ink.me/api/v1/convert/mindmap \
  -H "Authorization: Bearer eink_your_api_key" \
  -F "file=@book.epub" \
  -F "mode=structure" \
  -F "format=freemind"
Response
{
  "tree": { "label": "Book Title", "children": [...] },
  "stats": { "nodeCount": 42, "maxDepth": 4 },
  "files": {
    "freemind": "<map>...</map>",
    "opml": "<?xml ...?>...",
    "markdown": "# Book Title\n## Chapter 1\n..."
  }
}

エラーコード

CodeDescription
400Bad Request — パラメータが無効です
401Unauthorized — APIキーが不足または無効です
402Payment Required — クレジットが不足しています
413Payload Too Large — ファイルがサイズ制限を超えています
500Internal Server Error — サーバーエラーが発生しました

AI Agent Skill

Agent Skillを通じてCursor、Claude Code、CodexなどのAIコーディングツールで直接E-Inkを使用できます。

インストール

1

AI に伝える

おすすめ

このプロンプトをコピーして AI エージェントのチャットに貼り付けてください。インストールを自動で行います。

E-Ink skill をインストールして:npx e-ink-skill を実行して、環境変数 EINK_API_KEY に私の API キーを設定して。
2

npx を手動で実行

npx
npx e-ink-skill
3

GitHub からクローン

git clone
# Cursor
git clone https://github.com/Selenium39/e-ink-skill.git ~/.cursor/skills/e-ink-skill

# Claude Code / Codex
git clone https://github.com/Selenium39/e-ink-skill.git ~/.claude/skills/e-ink-skill

APIキーを環境変数に設定:

export EINK_API_KEY="eink_your_api_key_here"

AIエージェントでSkillが利用可能になりました。試してみてください:

https://e-ink.me をEPUBに変換して
このEPUBを日本語に翻訳して
E-Inkのクレジット残高を確認して